CREATE TABLE ar_system_parameters_all (
    SET_OF_BOOKS_ID                   NUMBER(18, 0)     NOT NULL,
    BR_DEFAULT_BATCHSOURCE_SEQ_ID     NUMBER(18, 0) ,
    BR_REMIT_WITHOUT_RECOURSE_FLAG    VARCHAR2(4)   ,
    PAYMENT_APPLICATION_RULE          VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ACCOUNTING_METHOD                 VARCHAR2(120)     NOT NULL,
    ACCRUE_INTEREST                   VARCHAR2(4)       NOT NULL,
    UNEARNED_DISCOUNT                 VARCHAR2(4)   ,
    PARTIAL_DISCOUNT_FLAG             VARCHAR2(4)   ,
    PRINT_REMIT_TO                    VARCHAR2(4)   ,
    DEFAULT_CB_DUE_DATE               VARCHAR2(120) ,
    AUTO_SITE_NUMBERING               VARCHAR2(4)       NOT NULL,
    CASH_BASIS_SET_OF_BOOKS_ID        NUMBER(18, 0) ,
    CODE_COMBINATION_ID_GAIN          NUMBER(18, 0) ,
    AUTOCASH_HIERARCHY_ID             NUMBER(18, 0) ,
    RUN_GL_JOURNAL_IMPORT_FLAG        VARCHAR2(4)   ,
    CER_SPLIT_AMOUNT                  NUMBER        ,
    ITEM_VALIDATION_ORG_ID            NUMBER        ,
    CER_DSO_DAYS                      NUMBER(5, 0)  ,
    POSTING_DAYS_PER_CYCLE            NUMBER(5, 0)  ,
    ADDRESS_VALIDATION                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    CALC_DISCOUNT_ON_LINES_FLAG       VARCHAR2(4)   ,
    CHANGE_PRINTED_INVOICE_FLAG       VARCHAR2(4)   ,
    CODE_COMBINATION_ID_LOSS          NUMBER(18, 0) ,
    CREATE_RECIPROCAL_FLAG            VARCHAR2(4)   ,
    DEFAULT_COUNTRY                   VARCHAR2(240) ,
    DEFAULT_TERRITORY                 VARCHAR2(120) ,
    GENERATE_CUSTOMER_NUMBER          VARCHAR2(4)       NOT NULL,
    INVOICE_DELETION_FLAG             VARCHAR2(4)   ,
    LOCATION_STRUCTURE_ID             NUMBER(18, 0) ,
    SITE_REQUIRED_FLAG                VARCHAR2(4)   ,
    TAX_ALLOW_COMPOUND_FLAG           VARCHAR2(4)   ,
    TAX_INVOICE_PRINT                 VARCHAR2(120) ,
    TAX_METHOD                        VARCHAR2(120) ,
    TAX_USE_CUSTOMER_EXEMPT_FLAG      VARCHAR2(4)   ,
    TAX_USE_CUST_EXC_RATE_FLAG        VARCHAR2(4)   ,
    TAX_USE_LOC_EXC_RATE_FLAG         VARCHAR2(4)   ,
    TAX_USE_PRODUCT_EXEMPT_FLAG       VARCHAR2(4)   ,
    TAX_USE_PROD_EXC_RATE_FLAG        VARCHAR2(4)   ,
    TAX_USE_SITE_EXC_RATE_FLAG        VARCHAR2(4)   ,
    AI_LOG_FILE_MESSAGE_LEVEL         NUMBER(18, 0) ,
    AI_MAX_MEMORY_IN_BYTES            NUMBER(18, 0) ,
    AI_ACCT_FLEX_KEY_LEFT_PROMPT      VARCHAR2(320) ,
    AI_MTL_ITEMS_KEY_LEFT_PROMPT      VARCHAR2(320) ,
    AI_TERRITORY_KEY_LEFT_PROMPT      VARCHAR2(320) ,
    AI_PURGE_INTERFACE_TABLES_FLAG    VARCHAR2(4)   ,
    AI_ACTIVATE_SQL_TRACE_FLAG        VARCHAR2(4)   ,
    DEFAULT_GROUPING_RULE_ID          NUMBER(18, 0) ,
    SALESREP_REQUIRED_FLAG            VARCHAR2(4)   ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    AUTO_REC_INVOICES_PER_COMMIT      NUMBER(8, 0)  ,
    AUTO_REC_RECEIPTS_PER_COMMIT      NUMBER(8, 0)  ,
    PAY_UNRELATED_INVOICES_FLAG       VARCHAR2(4)   ,
    TAX_CACHE                         NUMBER(18, 0) ,
    PRINT_HOME_COUNTRY_FLAG           VARCHAR2(4)   ,
    LOCATION_TAX_ACCOUNT              NUMBER(18, 0) ,
    FROM_POSTAL_CODE                  VARCHAR2(240) ,
    TO_POSTAL_CODE                    VARCHAR2(240) ,
    TAX_REGISTRATION_NUMBER           VARCHAR2(240) ,
    POPULATE_GL_SEGMENTS_FLAG         VARCHAR2(4)       NOT NULL,
    UNALLOCATED_REVENUE_CCID          NUMBER(18, 0) ,
    ORG_ID                            NUMBER(18, 0) ,
    TAX_CURRENCY_CODE                 VARCHAR2(60)  ,
    TAX_PRECISION                     NUMBER(1, 0)  ,
    TAX_MINIMUM_ACCOUNTABLE_UNIT      NUMBER        ,
    TAX_HEADER_LEVEL_FLAG             VARCHAR2(4)   ,
    TAX_ROUNDING_RULE                 VARCHAR2(120) ,
    TAX_ROUNDING_ALLOW_OVERRIDE       VARCHAR2(4)   ,
    TAX_CODE                          VARCHAR2(200) ,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    CONFIRM_THRESHOLD_AMT             NUMBER        ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    RULE_SET_ID                       NUMBER        ,
    TAX_USE_ACCOUNT_EXC_RATE_FLAG     VARCHAR2(4)   ,
    TAX_USE_SYSTEM_EXC_RATE_FLAG      VARCHAR2(4)   ,
    TAX_HIER_SITE_EXC_RATE            NUMBER(18, 0) ,
    TAX_HIER_CUST_EXC_RATE            NUMBER(18, 0) ,
    TAX_HIER_PROD_EXC_RATE            NUMBER(18, 0) ,
    TAX_HIER_ACCOUNT_EXC_RATE         NUMBER(18, 0) ,
    TAX_HIER_SYSTEM_EXC_RATE          NUMBER(18, 0) ,
    TAX_ENFORCE_ACCOUNT_FLAG          VARCHAR2(4)   ,
    TAX_DATABASE_VIEW_SET             VARCHAR2(120) ,
    INCLUSIVE_TAX_USED                VARCHAR2(4)   ,
    CODE_COMBINATION_ID_ROUND         NUMBER(18, 0) ,
    TRX_HEADER_LEVEL_ROUNDING         VARCHAR2(4)   ,
    TRX_HEADER_ROUND_CCID             NUMBER(18, 0) ,
    FINCHRG_RECEIVABLES_TRX_ID        NUMBER(18, 0) ,
    SALES_TAX_GEOCODE                 VARCHAR2(120) ,
    BILLS_RECEIVABLE_ENABLED_FLAG     VARCHAR2(4)   ,
    TA_INSTALLED_FLAG                 VARCHAR2(4)   ,
    REV_TRANSFER_CLEAR_CCID           NUMBER(18, 0) ,
    SALES_CREDIT_PCT_LIMIT            NUMBER        ,
    MAX_WRTOFF_AMOUNT                 NUMBER        ,
    IREC_CC_RECEIPT_METHOD_ID         NUMBER(18, 0) ,
    SHOW_BILLING_NUMBER_FLAG          VARCHAR2(4)   ,
    CROSS_CURRENCY_RATE_TYPE          VARCHAR2(120) ,
    DOCUMENT_SEQ_GEN_LEVEL            VARCHAR2(320) ,
    CALC_TAX_ON_CREDIT_MEMO_FLAG      VARCHAR2(4)   ,
    IREC_BA_RECEIPT_METHOD_ID         NUMBER(18, 0) ,
    PAYMENT_THRESHOLD                 NUMBER        ,
    STANDARD_REFUND                   NUMBER        ,
    CREDIT_CLASSIFICATION1            VARCHAR2(120) ,
    CREDIT_CLASSIFICATION3            VARCHAR2(120) ,
    CREDIT_CLASSIFICATION2            VARCHAR2(120) ,
    UNMTCH_CLAIM_CREATION_FLAG        VARCHAR2(4)   ,
    MATCHED_CLAIM_CREATION_FLAG       VARCHAR2(4)   ,
    MATCHED_CLAIM_EXCL_CM_FLAG        VARCHAR2(4)   ,
    MIN_WRTOFF_AMOUNT                 NUMBER        ,
    MIN_REFUND_AMOUNT                 NUMBER        ,
    IREC_SERVICE_CHARGE_REC_TRX_ID    NUMBER(18, 0) ,
    ALLOW_LATE_CHARGES                VARCHAR2(120) ,
    PENALTY_REC_TRX_ID                NUMBER(18, 0) ,
    POST_BILLING_ITEM_INCLUSION       VARCHAR2(120) ,
    LATE_CHARGE_BILLING_CALC_MODE     VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LATE_CHARGE_DM_TYPE_SEQ_ID        NUMBER(18, 0) ,
    LATE_CHARGE_INV_TYPE_SEQ_ID       NUMBER(18, 0) ,
    LATE_CHARGE_BAT_SOURCE_SEQ_ID     NUMBER(18, 0) ,
    AUTOMATCH_RULE_ID                 NUMBER(18, 0) ,
    LOCKBOX_MATCHING_OPTION1          VARCHAR2(120) ,
    LOCKBOX_MATCHING_OPTION2          VARCHAR2(120) ,
    LOCKBOX_MATCHING_OPTION3          VARCHAR2(120) ,
    LOCKBOX_MATCHING_OPTION4          VARCHAR2(120) ,
    AUTOAPPLY_FLAG                    VARCHAR2(4)   ,
    EXCEPTION_RULE_ID                 NUMBER(18, 0) ,
    AUTOMATCH_RERUN_DAYS              NUMBER        ,
    EXCEPTION_WRTOFF_REC_TRX_ID       NUMBER(18, 0) ,
    EXCEPTION_ADJ_REC_TRX_ID          NUMBER(18, 0) ,
    EXCEPTION_ADJ_REASON_CODE         VARCHAR2(120) ,
    EXCEPTION_PMT_METHOD_CODE         VARCHAR2(120) ,
    SERVICED_BY_ANY_BU_FLAG           VARCHAR2(4)   ,
    BA_REMIT_BANK_ACCT_USE_ID         NUMBER(18, 0) ,
    CC_REMIT_BANK_ACCT_USE_ID         NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    ALLOW_PAYMENT_DELETION_FLAG       VARCHAR2(4)   ,
    ACCT_DATES_OUT_OF_ORDER           VARCHAR2(80)  ,
    REPLY_TO_EMAIL_ADDRESS            VARCHAR2(1280),
    FROM_EMAIL_ADDRESS                VARCHAR2(1280),
    FROM_EMAIL_NAME                   VARCHAR2(600) ,
    EMAIL_SUBJECT                     VARCHAR2(600) ,
    EMAIL_BODY                        VARCHAR2(4000),
    INCLUDE_BU_SUBJECT_CODE           VARCHAR2(120) ,
    INCLUDE_TRXNUM_SUBJECT_CODE       VARCHAR2(120) ,
    CREATE_DETAILED_DIST              VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE_NUMBER6          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10         NUMBER        ,
    ENABLE_RECURRING_BILLING_FLAG     VARCHAR2(4)   ,
    STMT_REPLY_TO_EMAIL_ADDRESS       VARCHAR2(1280),
    STMT_FROM_EMAIL_ADDRESS           VARCHAR2(1280),
    STMT_FROM_EMAIL_NAME              VARCHAR2(600) ,
    STMT_EMAIL_SUBJECT                VARCHAR2(600) ,
    STMT_EMAIL_BODY                   VARCHAR2(4000),
    INCLUDE_STMT_BU_SUB_CODE          VARCHAR2(120) ,
    INCLUDE_STMT_DATE_SUB_CODE        VARCHAR2(120) ,
    DEFAULT_CASH_CCID                 NUMBER(18, 0) ,
    DEFAULT_UNAPPLIED_CCID            NUMBER(18, 0) ,
    DEFAULT_UNIDENTIFIED_CCID         NUMBER(18, 0) ,
    DEFAULT_ON_ACCOUNT_CCID           NUMBER(18, 0) ,
    DEFAULT_UNEARNED_DISCOUNT_CCID    NUMBER(18, 0) ,
    DEFAULT_EARNED_DISCOUNT_CCID      NUMBER(18, 0) ,
    AUTOCASH_TOLERANCE_AMOUNT         NUMBER        ,
    SET_OF_BOOKS_ID                   NUMBER(18, 0)     NOT NULL,
    PAYMENT_APPLICATION_RULE          VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ACCOUNTING_METHOD                 VARCHAR2(120)     NOT NULL,
    ACCRUE_INTEREST                   VARCHAR2(4)       NOT NULL,
    UNEARNED_DISCOUNT                 VARCHAR2(4)   ,
    PARTIAL_DISCOUNT_FLAG             VARCHAR2(4)   ,
    PRINT_REMIT_TO                    VARCHAR2(4)   ,
    DEFAULT_CB_DUE_DATE               VARCHAR2(120) ,
    AUTO_SITE_NUMBERING               VARCHAR2(4)       NOT NULL,
    CASH_BASIS_SET_OF_BOOKS_ID        NUMBER(18, 0) ,
    CODE_COMBINATION_ID_GAIN          NUMBER(18, 0) ,
    AUTOCASH_HIERARCHY_ID             NUMBER(18, 0) ,
    RUN_GL_JOURNAL_IMPORT_FLAG        VARCHAR2(4)   ,
    CER_SPLIT_AMOUNT                  NUMBER        ,
    ITEM_VALIDATION_ORG_ID            NUMBER        ,
    CER_DSO_DAYS                      NUMBER(5, 0)  ,
    POSTING_DAYS_PER_CYCLE            NUMBER(5, 0)  ,
    ADDRESS_VALIDATION                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    CALC_DISCOUNT_ON_LINES_FLAG       VARCHAR2(4)   ,
    CHANGE_PRINTED_INVOICE_FLAG       VARCHAR2(4)   ,
    CODE_COMBINATION_ID_LOSS          NUMBER(18, 0) ,
    CREATE_RECIPROCAL_FLAG            VARCHAR2(4)   ,
    DEFAULT_COUNTRY                   VARCHAR2(240) ,
    DEFAULT_TERRITORY                 VARCHAR2(120) ,
    GENERATE_CUSTOMER_NUMBER          VARCHAR2(4)       NOT NULL,
    INVOICE_DELETION_FLAG             VARCHAR2(4)   ,
    LOCATION_STRUCTURE_ID             NUMBER(18, 0) ,
    SITE_REQUIRED_FLAG                VARCHAR2(4)   ,
    TAX_ALLOW_COMPOUND_FLAG           VARCHAR2(4)   ,
    TAX_INVOICE_PRINT                 VARCHAR2(120) ,
    TAX_METHOD                        VARCHAR2(120) ,
    TAX_USE_CUSTOMER_EXEMPT_FLAG      VARCHAR2(4)   ,
    TAX_USE_CUST_EXC_RATE_FLAG        VARCHAR2(4)   ,
    TAX_USE_LOC_EXC_RATE_FLAG         VARCHAR2(4)   ,
    TAX_USE_PRODUCT_EXEMPT_FLAG       VARCHAR2(4)   ,
    TAX_USE_PROD_EXC_RATE_FLAG        VARCHAR2(4)   ,
    TAX_USE_SITE_EXC_RATE_FLAG        VARCHAR2(4)   ,
    AI_LOG_FILE_MESSAGE_LEVEL         NUMBER(18, 0) ,
    AI_MAX_MEMORY_IN_BYTES            NUMBER(18, 0) ,
    AI_ACCT_FLEX_KEY_LEFT_PROMPT      VARCHAR2(320) ,
    AI_MTL_ITEMS_KEY_LEFT_PROMPT      VARCHAR2(320) ,
    AI_TERRITORY_KEY_LEFT_PROMPT      VARCHAR2(320) ,
    AI_PURGE_INTERFACE_TABLES_FLAG    VARCHAR2(4)   ,
    AI_ACTIVATE_SQL_TRACE_FLAG        VARCHAR2(4)   ,
    DEFAULT_GROUPING_RULE_ID          NUMBER(18, 0) ,
    SALESREP_REQUIRED_FLAG            VARCHAR2(4)   ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    AUTO_REC_INVOICES_PER_COMMIT      NUMBER(8, 0)  ,
    AUTO_REC_RECEIPTS_PER_COMMIT      NUMBER(8, 0)  ,
    PAY_UNRELATED_INVOICES_FLAG       VARCHAR2(4)   ,
    TAX_CACHE                         NUMBER(18, 0) ,
    PRINT_HOME_COUNTRY_FLAG           VARCHAR2(4)   ,
    LOCATION_TAX_ACCOUNT              NUMBER(18, 0) ,
    FROM_POSTAL_CODE                  VARCHAR2(240) ,
    TO_POSTAL_CODE                    VARCHAR2(240) ,
    TAX_REGISTRATION_NUMBER           VARCHAR2(240) ,
    POPULATE_GL_SEGMENTS_FLAG         VARCHAR2(4)       NOT NULL,
    UNALLOCATED_REVENUE_CCID          NUMBER(18, 0) ,
    ORG_ID                            NUMBER(18, 0) ,
    TAX_CURRENCY_CODE                 VARCHAR2(60)  ,
    TAX_PRECISION                     NUMBER(1, 0)  ,
    TAX_MINIMUM_ACCOUNTABLE_UNIT      NUMBER        ,
    TAX_HEADER_LEVEL_FLAG             VARCHAR2(4)   ,
    TAX_ROUNDING_RULE                 VARCHAR2(120) ,
    TAX_ROUNDING_ALLOW_OVERRIDE       VARCHAR2(4)   ,
    TAX_CODE                          VARCHAR2(200) ,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    CONFIRM_THRESHOLD_AMT             NUMBER        ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    RULE_SET_ID                       NUMBER        ,
    TAX_USE_ACCOUNT_EXC_RATE_FLAG     VARCHAR2(4)   ,
    TAX_USE_SYSTEM_EXC_RATE_FLAG      VARCHAR2(4)   ,
    TAX_HIER_SITE_EXC_RATE            NUMBER(18, 0) ,
    TAX_HIER_CUST_EXC_RATE            NUMBER(18, 0) ,
    TAX_HIER_PROD_EXC_RATE            NUMBER(18, 0) ,
    TAX_HIER_ACCOUNT_EXC_RATE         NUMBER(18, 0) ,
    TAX_HIER_SYSTEM_EXC_RATE          NUMBER(18, 0) ,
    TAX_ENFORCE_ACCOUNT_FLAG          VARCHAR2(4)   ,
    TAX_DATABASE_VIEW_SET             VARCHAR2(120) ,
    INCLUSIVE_TAX_USED                VARCHAR2(4)   ,
    CODE_COMBINATION_ID_ROUND         NUMBER(18, 0) ,
    TRX_HEADER_LEVEL_ROUNDING         VARCHAR2(4)   ,
    TRX_HEADER_ROUND_CCID             NUMBER(18, 0) ,
    FINCHRG_RECEIVABLES_TRX_ID        NUMBER(18, 0) ,
    SALES_TAX_GEOCODE                 VARCHAR2(120) ,
    BILLS_RECEIVABLE_ENABLED_FLAG     VARCHAR2(4)   ,
    TA_INSTALLED_FLAG                 VARCHAR2(4)   ,
    REV_TRANSFER_CLEAR_CCID           NUMBER(18, 0) ,
    SALES_CREDIT_PCT_LIMIT            NUMBER        ,
    MAX_WRTOFF_AMOUNT                 NUMBER        ,
    IREC_CC_RECEIPT_METHOD_ID         NUMBER(18, 0) ,
    SHOW_BILLING_NUMBER_FLAG          VARCHAR2(4)   ,
    CROSS_CURRENCY_RATE_TYPE          VARCHAR2(120) ,
    DOCUMENT_SEQ_GEN_LEVEL            VARCHAR2(320) ,
    CALC_TAX_ON_CREDIT_MEMO_FLAG      VARCHAR2(4)   ,
    IREC_BA_RECEIPT_METHOD_ID         NUMBER(18, 0) ,
    PAYMENT_THRESHOLD                 NUMBER        ,
    STANDARD_REFUND                   NUMBER        ,
    CREDIT_CLASSIFICATION1            VARCHAR2(120) ,
    CREDIT_CLASSIFICATION3            VARCHAR2(120) ,
    CREDIT_CLASSIFICATION2            VARCHAR2(120) ,
    UNMTCH_CLAIM_CREATION_FLAG        VARCHAR2(4)   ,
    MATCHED_CLAIM_CREATION_FLAG       VARCHAR2(4)   ,
    MATCHED_CLAIM_EXCL_CM_FLAG        VARCHAR2(4)   ,
    MIN_WRTOFF_AMOUNT                 NUMBER        ,
    MIN_REFUND_AMOUNT                 NUMBER        ,
    IREC_SERVICE_CHARGE_REC_TRX_ID    NUMBER(18, 0) ,
    ALLOW_LATE_CHARGES                VARCHAR2(120) ,
    PENALTY_REC_TRX_ID                NUMBER(18, 0) ,
    POST_BILLING_ITEM_INCLUSION       VARCHAR2(120) ,
    LATE_CHARGE_BILLING_CALC_MODE     VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LATE_CHARGE_DM_TYPE_SEQ_ID        NUMBER(18, 0) ,
    LATE_CHARGE_INV_TYPE_SEQ_ID       NUMBER(18, 0) ,
    LATE_CHARGE_BAT_SOURCE_SEQ_ID     NUMBER(18, 0) ,
    AUTOMATCH_RULE_ID                 NUMBER(18, 0) ,
    LOCKBOX_MATCHING_OPTION1          VARCHAR2(120) ,
    LOCKBOX_MATCHING_OPTION2          VARCHAR2(120) ,
    LOCKBOX_MATCHING_OPTION3          VARCHAR2(120) ,
    LOCKBOX_MATCHING_OPTION4          VARCHAR2(120) ,
    AUTOAPPLY_FLAG                    VARCHAR2(4)   ,
    EXCEPTION_RULE_ID                 NUMBER(18, 0) ,
    AUTOMATCH_RERUN_DAYS              NUMBER        ,
    EXCEPTION_WRTOFF_REC_TRX_ID       NUMBER(18, 0) ,
    EXCEPTION_ADJ_REC_TRX_ID          NUMBER(18, 0) ,
    EXCEPTION_ADJ_REASON_CODE         VARCHAR2(120) ,
    EXCEPTION_PMT_METHOD_CODE         VARCHAR2(120) ,
    REPLY_TO_EMAIL_ADDRESS            VARCHAR2(1280),
    FROM_EMAIL_ADDRESS                VARCHAR2(1280),
    FROM_EMAIL_NAME                   VARCHAR2(600) ,
    EMAIL_SUBJECT                     VARCHAR2(600) ,
    EMAIL_BODY                        VARCHAR2(4000),
    INCLUDE_BU_SUBJECT_CODE           VARCHAR2(120) ,
    INCLUDE_TRXNUM_SUBJECT_CODE       VARCHAR2(120) ,
    BR_DEFAULT_BATCHSOURCE_SEQ_ID     NUMBER(18, 0) ,
    BR_REMIT_WITHOUT_RECOURSE_FLAG    VARCHAR2(4)   ,
    SERVICED_BY_ANY_BU_FLAG           VARCHAR2(4)   ,
    BA_REMIT_BANK_ACCT_USE_ID         NUMBER(18, 0) ,
    CC_REMIT_BANK_ACCT_USE_ID         NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    ALLOW_PAYMENT_DELETION_FLAG       VARCHAR2(4)   ,
    ACCT_DATES_OUT_OF_ORDER           VARCHAR2(80)  ,
    CREATE_DETAILED_DIST              VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE_NUMBER6          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10         NUMBER        ,
    ENABLE_RECURRING_BILLING_FLAG     VARCHAR2(4)   ,
    STMT_REPLY_TO_EMAIL_ADDRESS       VARCHAR2(1280),
    STMT_FROM_EMAIL_ADDRESS           VARCHAR2(1280),
    STMT_FROM_EMAIL_NAME              VARCHAR2(600) ,
    STMT_EMAIL_SUBJECT                VARCHAR2(600) ,
    STMT_EMAIL_BODY                   VARCHAR2(4000),
    INCLUDE_STMT_BU_SUB_CODE          VARCHAR2(120) ,
    INCLUDE_STMT_DATE_SUB_CODE        VARCHAR2(120) ,
    DEFAULT_CASH_CCID                 NUMBER(18, 0) ,
    DEFAULT_UNAPPLIED_CCID            NUMBER(18, 0) ,
    DEFAULT_UNIDENTIFIED_CCID         NUMBER(18, 0) ,
    DEFAULT_ON_ACCOUNT_CCID           NUMBER(18, 0) ,
    DEFAULT_UNEARNED_DISCOUNT_CCID    NUMBER(18, 0) ,
    DEFAULT_EARNED_DISCOUNT_CCID      NUMBER(18, 0) ,
    AUTOCASH_TOLERANCE_AMOUNT         NUMBER        ,
    CONSTRAINT pk_ar_system_parameters_all PRIMARY KEY (ORG_ID, ORG_ID)
);
